> [!WARNING]
> Display \& Video 360 API v5 is currently in beta.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v5/media/download#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v5/media/download#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v5/media/download#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v5/media/download#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v5/media/download#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v5/media/download#try-it)

Downloads media. Download is supported on the URI `/download/{resourceName=**}?alt=media.`

**Note** : Download requests will not be successful without including `alt=media` query string.

### HTTP request

`GET https://displayvideo.googleapis.com/download/{resourceName=**}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `resourceName` | `string` Name of the media that is being downloaded. See `ReadRequest.resource_name`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v5/Media`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).